Subject: bug#41622: closed (Re: bug#41622: [PATCH] tests: Change gnulib commit to compile make check)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 01 Jun 2020 06:33:03 +0000

Your bug report

#41622: [PATCH] tests: Change gnulib commit to compile make check

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
41622: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=41622
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#41622: [PATCH] tests: Change gnulib commit to compile make check
From: Paul Eggert <[email-masked]>
To: Colton Lewis <[email-masked]>, [email-masked]
Date: Sun, 31 May 2020 23:32:22 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On 5/30/20 4:17 PM, Colton Lewis wrote:
> When I ran make check after building the master branch commit
> aefd434e, I got a compilation error.

Thanks for reporting the problem. I updated the Gnulib version while fixing some
other stuff, and am closing the bug report.

Subject: [PATCH] tests: Change gnulib commit to compile make check
From: Colton Lewis <[email-masked]>
To: [email-masked]
Date: Sat, 30 May 2020 18:17:23 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

When I ran make check after building the master branch commit
aefd434e, I got a compilation error.

test-explicit_bzero.c:132:1: error: no previous declaration for
'do_secret_stuff' [-Werror=missing-declarations]
  132 | do_secret_stuff (volatile int pass)
      | ^~~~~~~~~~~~~~~
test-explicit_bzero.c:148:1: error: no previous declaration for
'test_stack' [-Werror=missing-declarations]
  148 | test_stack (void)
      | ^~~~~~~~~~

I noticed the gnulib repo had a detached HEAD at b3c04ecec. I tried
switching the gnulib repo to master and running make check again. I
got a different error.

test-sameacls.c: In function 'main':
test-sameacls.c:58:17: error: too many arguments to function 'read_file'
   58 |     contents1 = read_file (file1, 0, &size1);
      |                 ^~~~~~~~~
In file included from test-sameacls.c:36:
../lib/read-file.h:29:14: note: declared here
   29 | extern char *read_file (const char *filename, size_t * length);
      |              ^~~~~~~~~
test-sameacls.c:65:17: error: too many arguments to function 'read_file'
   65 |     contents2 = read_file (file2, 0, &size2);
      |                 ^~~~~~~~~
In file included from test-sameacls.c:36:
../lib/read-file.h:29:14: note: declared here
   29 | extern char *read_file (const char *filename, size_t * length);
      |              ^~~~~~~~~

Here, coreutils and gnulib having conflicting declarations of
read_file and the wrong one is included. This may require future
changes.

Poking around in the git logs for gnulib, I found commit a305580f,
which fixes the first problem before introducing the second.

File test-explicit_bzero.c now declares do_secret_stuff and test_stack
static to appease -Werror=missing-declarations.
---
 gnulib | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnulib b/gnulib
index b3c04ecec..a305580f0 160000
--- a/gnulib
+++ b/gnulib
@@ -1 +1 @@
-Subproject commit b3c04ecec58ea687423f5c709410e6ecee4abd9b
+Subproject commit a305580f09ada2674c0509389b1674c7b32dce67
-- 
2.26.2